# Uses of Class
javafx.scene.control.ToggleGroup

Packages that use ToggleGroup
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of ToggleGroup in javafx.scene.control

Methods in javafx.scene.control that return ToggleGroup
Modifier and Type
Method
Description
`final ToggleGroup`
RadioMenuItem.`getToggleGroup()`
Gets the value of the `toggleGroup` property.
`ToggleGroup`
Toggle.`getToggleGroup()`
Returns The `ToggleGroup` to which this `Toggle` belongs.
`final ToggleGroup`
ToggleButton.`getToggleGroup()`
Gets the value of the `toggleGroup` property.
Methods in javafx.scene.control that return types with arguments of type ToggleGroup
Modifier and Type
Method
Description
`final ObjectProperty<ToggleGroup>`
RadioMenuItem.`toggleGroupProperty()`
Represents the `ToggleGroup` that this RadioMenuItem belongs to.
`ObjectProperty<ToggleGroup>`
Toggle.`toggleGroupProperty()`
The `ToggleGroup` to which this `Toggle` belongs.
`final ObjectProperty<ToggleGroup>`
ToggleButton.`toggleGroupProperty()`
The `ToggleGroup` to which this `ToggleButton` belongs.
Methods in javafx.scene.control with parameters of type ToggleGroup
Modifier and Type
Method
Description
`final void`
RadioMenuItem.`setToggleGroup(ToggleGroup value)`
Sets the value of the `toggleGroup` property.
`void`
Toggle.`setToggleGroup(ToggleGroup toggleGroup)`
Sets the `ToggleGroup` to which this `Toggle` belongs.
`final void`
ToggleButton.`setToggleGroup(ToggleGroup value)`
Sets the value of the `toggleGroup` property.